XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

res.h
1 /*
2 * This file generated automatically from res.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __RES_H
13 #define __RES_H
14
15 #include "xcb.h"
16 #include "xproto.h"
17
18 #ifdef __cplusplus
19 extern "C" {
20 #endif
21
22 #define XCB_RES_MAJOR_VERSION 1
23 #define XCB_RES_MINOR_VERSION 0
24
25 extern xcb_extension_t xcb_res_id;
26
30 typedef struct xcb_res_client_t {
31 uint32_t resource_base;
32 uint32_t resource_mask;
33 } xcb_res_client_t;
34
38 typedef struct xcb_res_client_iterator_t {
39 xcb_res_client_t *data;
40 int rem;
41 int index;
42 } xcb_res_client_iterator_t;
43
47 typedef struct xcb_res_type_t {
48 xcb_atom_t resource_type;
49 uint32_t count;
50 } xcb_res_type_t;
51
55 typedef struct xcb_res_type_iterator_t {
56 xcb_res_type_t *data;
57 int rem;
58 int index;
59 } xcb_res_type_iterator_t;
60
64 typedef struct xcb_res_query_version_cookie_t {
65 unsigned int sequence;
66 } xcb_res_query_version_cookie_t;
67
69 #define XCB_RES_QUERY_VERSION 0
70
74 typedef struct xcb_res_query_version_request_t {
75 uint8_t major_opcode;
76 uint8_t minor_opcode;
77 uint16_t length;
78 uint8_t client_major;
79 uint8_t client_minor;
80 } xcb_res_query_version_request_t;
81
85 typedef struct xcb_res_query_version_reply_t {
86 uint8_t response_type;
87 uint8_t pad0;
88 uint16_t sequence;
89 uint32_t length;
90 uint16_t server_major;
91 uint16_t server_minor;
92 } xcb_res_query_version_reply_t;
93
97 typedef struct xcb_res_query_clients_cookie_t {
98 unsigned int sequence;
99 } xcb_res_query_clients_cookie_t;
100
102 #define XCB_RES_QUERY_CLIENTS 1
103
107 typedef struct xcb_res_query_clients_request_t {
108 uint8_t major_opcode;
109 uint8_t minor_opcode;
110 uint16_t length;
111 } xcb_res_query_clients_request_t;
112
116 typedef struct xcb_res_query_clients_reply_t {
117 uint8_t response_type;
118 uint8_t pad0;
119 uint16_t sequence;
120 uint32_t length;
121 uint32_t num_clients;
122 uint8_t pad1[20];
123 } xcb_res_query_clients_reply_t;
124
128 typedef struct xcb_res_query_client_resources_cookie_t {
129 unsigned int sequence;
130 } xcb_res_query_client_resources_cookie_t;
131
133 #define XCB_RES_QUERY_CLIENT_RESOURCES 2
134
138 typedef struct xcb_res_query_client_resources_request_t {
139 uint8_t major_opcode;
140 uint8_t minor_opcode;
141 uint16_t length;
142 uint32_t xid;
143 } xcb_res_query_client_resources_request_t;
144
148 typedef struct xcb_res_query_client_resources_reply_t {
149 uint8_t response_type;
150 uint8_t pad0;
151 uint16_t sequence;
152 uint32_t length;
153 uint32_t num_types;
154 uint8_t pad1[20];
155 } xcb_res_query_client_resources_reply_t;
156
160 typedef struct xcb_res_query_client_pixmap_bytes_cookie_t {
161 unsigned int sequence;
162 } xcb_res_query_client_pixmap_bytes_cookie_t;
163
165 #define XCB_RES_QUERY_CLIENT_PIXMAP_BYTES 3
166
170 typedef struct xcb_res_query_client_pixmap_bytes_request_t {
171 uint8_t major_opcode;
172 uint8_t minor_opcode;
173 uint16_t length;
174 uint32_t xid;
175 } xcb_res_query_client_pixmap_bytes_request_t;
176
180 typedef struct xcb_res_query_client_pixmap_bytes_reply_t {
181 uint8_t response_type;
182 uint8_t pad0;
183 uint16_t sequence;
184 uint32_t length;
185 uint32_t bytes;
186 uint32_t bytes_overflow;
187 } xcb_res_query_client_pixmap_bytes_reply_t;
188
198 /*****************************************************************************
199 **
200 ** void xcb_res_client_next
201 **
202 ** @param xcb_res_client_iterator_t *i
203 ** @returns void
204 **
205 *****************************************************************************/
206
207 void
208 xcb_res_client_next (xcb_res_client_iterator_t *i );
209
220 /*****************************************************************************
221 **
222 ** xcb_generic_iterator_t xcb_res_client_end
223 **
224 ** @param xcb_res_client_iterator_t i
225 ** @returns xcb_generic_iterator_t
226 **
227 *****************************************************************************/
228
229 xcb_generic_iterator_t
230 xcb_res_client_end (xcb_res_client_iterator_t i );
231
241 /*****************************************************************************
242 **
243 ** void xcb_res_type_next
244 **
245 ** @param xcb_res_type_iterator_t *i
246 ** @returns void
247 **
248 *****************************************************************************/
249
250 void
251 xcb_res_type_next (xcb_res_type_iterator_t *i );
252
263 /*****************************************************************************
264 **
265 ** xcb_generic_iterator_t xcb_res_type_end
266 **
267 ** @param xcb_res_type_iterator_t i
268 ** @returns xcb_generic_iterator_t
269 **
270 *****************************************************************************/
271
272 xcb_generic_iterator_t
273 xcb_res_type_end (xcb_res_type_iterator_t i );
274
284 /*****************************************************************************
285 **
286 ** xcb_res_query_version_cookie_t xcb_res_query_version
287 **
288 ** @param xcb_connection_t *c
289 ** @param uint8_t client_major
290 ** @param uint8_t client_minor
291 ** @returns xcb_res_query_version_cookie_t
292 **
293 *****************************************************************************/
294
295 xcb_res_query_version_cookie_t
296 xcb_res_query_version (xcb_connection_t *c ,
297 uint8_t client_major ,
298 uint8_t client_minor );
299
312 /*****************************************************************************
313 **
314 ** xcb_res_query_version_cookie_t xcb_res_query_version_unchecked
315 **
316 ** @param xcb_connection_t *c
317 ** @param uint8_t client_major
318 ** @param uint8_t client_minor
319 ** @returns xcb_res_query_version_cookie_t
320 **
321 *****************************************************************************/
322
323 xcb_res_query_version_cookie_t
324 xcb_res_query_version_unchecked (xcb_connection_t *c ,
325 uint8_t client_major ,
326 uint8_t client_minor );
327
343 /*****************************************************************************
344 **
345 ** xcb_res_query_version_reply_t * xcb_res_query_version_reply
346 **
347 ** @param xcb_connection_t *c
348 ** @param xcb_res_query_version_cookie_t cookie
349 ** @param xcb_generic_error_t **e
350 ** @returns xcb_res_query_version_reply_t *
351 **
352 *****************************************************************************/
353
354 xcb_res_query_version_reply_t *
355 xcb_res_query_version_reply (xcb_connection_t *c ,
356 xcb_res_query_version_cookie_t cookie ,
357 xcb_generic_error_t **e );
358
359 int
360 xcb_res_query_clients_sizeof (const void *_buffer );
361
371 /*****************************************************************************
372 **
373 ** xcb_res_query_clients_cookie_t xcb_res_query_clients
374 **
375 ** @param xcb_connection_t *c
376 ** @returns xcb_res_query_clients_cookie_t
377 **
378 *****************************************************************************/
379
380 xcb_res_query_clients_cookie_t
381 xcb_res_query_clients (xcb_connection_t *c );
382
395 /*****************************************************************************
396 **
397 ** xcb_res_query_clients_cookie_t xcb_res_query_clients_unchecked
398 **
399 ** @param xcb_connection_t *c
400 ** @returns xcb_res_query_clients_cookie_t
401 **
402 *****************************************************************************/
403
404 xcb_res_query_clients_cookie_t
405 xcb_res_query_clients_unchecked (xcb_connection_t *c );
406
407
408 /*****************************************************************************
409 **
410 ** xcb_res_client_t * xcb_res_query_clients_clients
411 **
412 ** @param const xcb_res_query_clients_reply_t *R
413 ** @returns xcb_res_client_t *
414 **
415 *****************************************************************************/
416
417 xcb_res_client_t *
418 xcb_res_query_clients_clients (const xcb_res_query_clients_reply_t *R );
419
420
421 /*****************************************************************************
422 **
423 ** int xcb_res_query_clients_clients_length
424 **
425 ** @param const xcb_res_query_clients_reply_t *R
426 ** @returns int
427 **
428 *****************************************************************************/
429
430 int
431 xcb_res_query_clients_clients_length (const xcb_res_query_clients_reply_t *R );
432
433
434 /*****************************************************************************
435 **
436 ** xcb_res_client_iterator_t xcb_res_query_clients_clients_iterator
437 **
438 ** @param const xcb_res_query_clients_reply_t *R
439 ** @returns xcb_res_client_iterator_t
440 **
441 *****************************************************************************/
442
443 xcb_res_client_iterator_t
444 xcb_res_query_clients_clients_iterator (const xcb_res_query_clients_reply_t *R );
445
461 /*****************************************************************************
462 **
463 ** xcb_res_query_clients_reply_t * xcb_res_query_clients_reply
464 **
465 ** @param xcb_connection_t *c
466 ** @param xcb_res_query_clients_cookie_t cookie
467 ** @param xcb_generic_error_t **e
468 ** @returns xcb_res_query_clients_reply_t *
469 **
470 *****************************************************************************/
471
472 xcb_res_query_clients_reply_t *
473 xcb_res_query_clients_reply (xcb_connection_t *c ,
474 xcb_res_query_clients_cookie_t cookie ,
475 xcb_generic_error_t **e );
476
477 int
478 xcb_res_query_client_resources_sizeof (const void *_buffer );
479
489 /*****************************************************************************
490 **
491 ** xcb_res_query_client_resources_cookie_t xcb_res_query_client_resources
492 **
493 ** @param xcb_connection_t *c
494 ** @param uint32_t xid
495 ** @returns xcb_res_query_client_resources_cookie_t
496 **
497 *****************************************************************************/
498
499 xcb_res_query_client_resources_cookie_t
500 xcb_res_query_client_resources (xcb_connection_t *c ,
501 uint32_t xid );
502
515 /*****************************************************************************
516 **
517 ** xcb_res_query_client_resources_cookie_t xcb_res_query_client_resources_unchecked
518 **
519 ** @param xcb_connection_t *c
520 ** @param uint32_t xid
521 ** @returns xcb_res_query_client_resources_cookie_t
522 **
523 *****************************************************************************/
524
525 xcb_res_query_client_resources_cookie_t
526 xcb_res_query_client_resources_unchecked (xcb_connection_t *c ,
527 uint32_t xid );
528
529
530 /*****************************************************************************
531 **
532 ** xcb_res_type_t * xcb_res_query_client_resources_types
533 **
534 ** @param const xcb_res_query_client_resources_reply_t *R
535 ** @returns xcb_res_type_t *
536 **
537 *****************************************************************************/
538
539 xcb_res_type_t *
540 xcb_res_query_client_resources_types (const xcb_res_query_client_resources_reply_t *R );
541
542
543 /*****************************************************************************
544 **
545 ** int xcb_res_query_client_resources_types_length
546 **
547 ** @param const xcb_res_query_client_resources_reply_t *R
548 ** @returns int
549 **
550 *****************************************************************************/
551
552 int
553 xcb_res_query_client_resources_types_length (const xcb_res_query_client_resources_reply_t *R );
554
555
556 /*****************************************************************************
557 **
558 ** xcb_res_type_iterator_t xcb_res_query_client_resources_types_iterator
559 **
560 ** @param const xcb_res_query_client_resources_reply_t *R
561 ** @returns xcb_res_type_iterator_t
562 **
563 *****************************************************************************/
564
565 xcb_res_type_iterator_t
566 xcb_res_query_client_resources_types_iterator (const xcb_res_query_client_resources_reply_t *R );
567
583 /*****************************************************************************
584 **
585 ** xcb_res_query_client_resources_reply_t * xcb_res_query_client_resources_reply
586 **
587 ** @param xcb_connection_t *c
588 ** @param xcb_res_query_client_resources_cookie_t cookie
589 ** @param xcb_generic_error_t **e
590 ** @returns xcb_res_query_client_resources_reply_t *
591 **
592 *****************************************************************************/
593
594 xcb_res_query_client_resources_reply_t *
595 xcb_res_query_client_resources_reply (xcb_connection_t *c ,
596 xcb_res_query_client_resources_cookie_t cookie ,
597 xcb_generic_error_t **e );
598
608 /*****************************************************************************
609 **
610 ** xcb_res_query_client_pixmap_bytes_cookie_t xcb_res_query_client_pixmap_bytes
611 **
612 ** @param xcb_connection_t *c
613 ** @param uint32_t xid
614 ** @returns xcb_res_query_client_pixmap_bytes_cookie_t
615 **
616 *****************************************************************************/
617
618 xcb_res_query_client_pixmap_bytes_cookie_t
619 xcb_res_query_client_pixmap_bytes (xcb_connection_t *c ,
620 uint32_t xid );
621
634 /*****************************************************************************
635 **
636 ** xcb_res_query_client_pixmap_bytes_cookie_t xcb_res_query_client_pixmap_bytes_unchecked
637 **
638 ** @param xcb_connection_t *c
639 ** @param uint32_t xid
640 ** @returns xcb_res_query_client_pixmap_bytes_cookie_t
641 **
642 *****************************************************************************/
643
644 xcb_res_query_client_pixmap_bytes_cookie_t
645 xcb_res_query_client_pixmap_bytes_unchecked (xcb_connection_t *c ,
646 uint32_t xid );
647
663 /*****************************************************************************
664 **
665 ** xcb_res_query_client_pixmap_bytes_reply_t * xcb_res_query_client_pixmap_bytes_reply
666 **
667 ** @param xcb_connection_t *c
668 ** @param xcb_res_query_client_pixmap_bytes_cookie_t cookie
669 ** @param xcb_generic_error_t **e
670 ** @returns xcb_res_query_client_pixmap_bytes_reply_t *
671 **
672 *****************************************************************************/
673
674 xcb_res_query_client_pixmap_bytes_reply_t *
675 xcb_res_query_client_pixmap_bytes_reply (xcb_connection_t *c ,
676 xcb_res_query_client_pixmap_bytes_cookie_t cookie ,
677 xcb_generic_error_t **e );
678
679
680 #ifdef __cplusplus
681 }
682 #endif
683
684 #endif
685